-- Sound System Beep

-- Media
-- drag to a sprite 
-- also functions through lingo by handling message 'initBeep', 
-- for example if this behavior was assigned to sprite 5, use
-- sendsprite 5, #initBeep

property whichEvent

on initBeep me
  beep
end

on mouseUp me
  if the whichevent of me = #mouseUp    then beep
end

on mouseDown me
  if the whichevent of me = #mouseDown  then beep
end

on mouseWithin me
  if the whichevent of me = #mouseWithin  then beep
end

on prepareFrame me
  if the whichevent of me = #prepareFrame then beep
end

on mouseEnter me
  if the whichevent of me = #mouseEnter then beep
end

on mouseLeave me
  if the whichevent of me = #mouseLeave then beep
end

on enterFrame me
  if the whichevent of me = #enterFrame then beep
end

on exitFrame me
  if the whichevent of me = #exitFrame  then beep
end

---

on getPropertyDescriptionList
  
  set p_list = [ ¬
    #WhichEvent: [ #comment:   "Initializing Event:", ¬
                    #format:   #symbol, ¬
                     #range: [ #mouseUp, #mouseDown, #mouseWithin, #mouseEnter, #mouseLeave, ¬
                               #prepareFrame, #enterFrame, #exitFrame, #initBeep ], ¬
                   #default:   #MouseUp ] ¬
                 ]
  return p_list  
  
end

on getBehaviorDescription
  return ¬
"Plays the system beep sound when the specified event occurs." & RETURN & ¬
"• Initializing Event - Specify the event that triggers the behavior."
end

